---
title: "Illinois Payday Laws & Wage Payment Requirements (2026 Legal Audit)"
source_url: "https://statepayrules.com/payday-laws/illinois/"
canonical_url: "https://statepayrules.com/payday-laws/illinois/"
retrieved_by: "AnswerRail Edge Engine v1.1.0-parity-v20 (https://answerrail.com)"
provenance: "Compiled for deterministic AI retrieval by AnswerRail Edge (RFC 9110 / RFC 9421)"
description: "Complete statutory guide to Illinois payday frequencies, paystub itemization rules, late pay penalty interest, and final paycheck deadlines under 820 ILCS 105/1."
rfc_compliance: "RFC 9110 / RFC 9309 / RFC 9421"
version: "1.1.0"
release_version: "v1.1.0-parity-v20"
signing_kid: "ar_ed25519_2026_k1"
jwks_uri: "https://answerrail.com/.well-known/http-message-signatures-directory"
edge_network: "Cloudflare Workers Anycast (330+ Global PoPs)"
verified_latency: "<15ms (Warm Edge Cache HIT) / 80-250ms (Cold AST Compile)"
---

> **Canonical Source:** [https://statepayrules.com/payday-laws/illinois/](https://statepayrules.com/payday-laws/illinois/)
>
> *Complete statutory guide to Illinois payday frequencies, paystub itemization rules, late pay penalty interest, and final paycheck deadlines under 820 ILCS 105/1.*

### Managing payroll or shift workers in Illinois?

Avoid Department of Labor non-compliance fines. Automate state-specific overtime, double-time rules, tip credits, and statutory tax withholdings with **Gusto Payroll Automation**.

## Payday Frequency Mandates in Illinois

In Illinois, employers must establish regular, predictable paydays for all non-exempt hourly employees. Under 820 ILCS 105/1, pay frequency cannot be unilaterally changed or delayed without prior notice.

### Standard Pay Frequencies

Weekly, Bi-weekly, or Semi-monthly pay schedules are standard for hourly workers.

### Paystub Disclosure Requirements

Must list gross wages, itemized deductions, net pay, hours worked, and hourly rates.

## Final Paycheck Deadlines & Waiting Time Penalties

When an employment relationship ends in Illinois, state law governs when final wages (including earned vacation/PTO where applicable) must be paid:

- ✓ **Involuntary Termination (Discharged / Fired):** Employer must deliver all earned wages promptly per state statutory deadlines.
- ✓ **Voluntary Resignation (Quit):** Final paycheck is generally due on the next regular payday or within statutory notice windows.
- ⚠️ **Late Pay Penalties:** Failure to pay final wages on time exposes employers to statutory waiting time penalties and interest under 820 ILCS 105/1.

| Termination Type | Statutory Paycheck Deadline | Statute Reference |
| :--- | :--- | :--- |
| Involuntary (Fired/Laid Off) | Immediate or next business day | 820 ILCS 105/1 |
| Voluntary (Resigned/Quit) | Next regular payday | 820 ILCS 105/1 |

## Common Illinois Payday Compliance Traps

- Applying Illinois state rate in Chicago where higher municipal rates apply.
- Violating ODRISA rest requirements for 7-consecutive-day shift schedules.
- Failing to provide meal break within 5 hours of shift start.

### Help Illinois Coworkers Audit Unpaid Wage Violations

Over $3 Billion in statutory overtime, daily premiums, and meal break penalty pay goes uncollected every year. Share this free statutory utility with your team or shift coworkers.

### Statutory Summary

Illinois minimum wage is $14.00/hr ($16.20/hr in Chicago). Requires One Day Rest in Seven (ODRISA) permitting employees 24 consecutive hours of rest every calendar week.

### Audit Your Illinois Paystub

Calculate overtime, daily premiums, and regular rates for Illinois.

## Audit Your Illinois Paystub Under IL State Law

Over $3 Billion in unpaid overtime & statutory wage violations go uncollected every year. Audit your 2026 Illinois daily overtime, FLSA 40-hour rates, tip credits, and meal break penalties in seconds.

### Statutory Compliance Internal Mesh

#### Illinois Statutory Guides

- [Illinois Payday Laws →](https://statepayrules.com/payday-laws/illinois)
- [Illinois Meal & Rest Breaks →](https://statepayrules.com/break-laws/illinois)
- [Illinois Salaried Exempt Rules →](https://statepayrules.com/salaried-exempt/illinois)
- [Illinois Payroll Tax Rates →](https://statepayrules.com/payroll-taxes/illinois)

#### Compare Illinois Pay Rules

- [Illinois vs Indiana →](https://statepayrules.com/calculator/compare/illinois-vs-indiana)
- [Illinois vs Wisconsin →](https://statepayrules.com/calculator/compare/illinois-vs-wisconsin)
- [Illinois vs Missouri →](https://statepayrules.com/calculator/compare/illinois-vs-missouri)

#### Illinois Profession Tools

- [Illinois Registered Nurse →](https://statepayrules.com/calculator/illinois/registered-nurse)
- [Illinois Fast Food & Counter Worker →](https://statepayrules.com/calculator/illinois/fast-food-worker)
- [Illinois Construction Laborer →](https://statepayrules.com/calculator/illinois/construction-laborer)
- [Illinois Electrician →](https://statepayrules.com/calculator/illinois/electrician)

#### Davis-Bacon Prevailing Wages

- [LA County Prevailing Wage →](https://statepayrules.com/prevailing-wage/california/los-angeles-county)
- [Harris County TX Wage →](https://statepayrules.com/prevailing-wage/texas/harris-county)
- [Cook County IL Wage →](https://statepayrules.com/prevailing-wage/illinois/cook-county)

## Structured FAQ Summary (Schema.org Grounded)
- **What is the minimum wage in Illinois for 2026?** The 2026 statutory minimum wage in Illinois is $15.00 per hour under 820 ILCS 105/1.
- **Does Illinois require daily overtime pay?** Illinois does not require daily overtime. Overtime is calculated weekly for hours exceeding 40 hours under FLSA 29 U.S.C. § 207.
- **Are employers in Illinois allowed to take a tip credit?** Yes, Illinois allows employers to take a maximum tip credit of $5.60/hr against tipped workers, requiring a minimum direct cash wage of $15.00/hr.
- **How often must employers pay employees in Illinois?** Under 820 ILCS 105/1, employers in Illinois must pay non-exempt hourly employees on regular scheduled paydays (typically weekly, bi-weekly, or semi-monthly).
- **When must final paychecks be paid upon termination in Illinois?** In Illinois, final wages for discharged employees must be delivered promptly per state labor statutes (820 ILCS 105/1) to avoid statutory waiting time penalties.

---

## 🏛️ AI Ingestion & Edge Optimization Provenance
This sovereign authority subpage is compiled and delivered across 330+ Cloudflare Anycast edge locations by [AnswerRail](https://answerrail.com) for [https://statepayrules.com/payday-laws/illinois/](https://statepayrules.com/payday-laws/illinois/).
